Skip to main content
POST
/
v1
/
bundle_items
Create
curl --request POST \
  --url https://{defaultHost}/v1/bundle_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bundle_item": {
    "bundle_product": "d33a5700-25b4-426e-8ee4-c6cac7bb0521",
    "component_product": "f225af36-c240-4908-9f66-f169066c2fae",
    "quantity": 1
  }
}
'
{
  "id": "cb59424c-7af4-4a32-8fb7-427115b42a44",
  "object": "bundle_item",
  "basis_amount": null,
  "quantity": 1,
  "current_version": true,
  "metadata": {},
  "position": 1,
  "bundle_product": "d33a5700-25b4-426e-8ee4-c6cac7bb0521",
  "component_product": "f225af36-c240-4908-9f66-f169066c2fae",
  "created_at": 1778010861,
  "updated_at": 1778010861
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
bundle_item
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

basis_amount
integer | null

Optional relative weighting input (in cents) for this component. Nil uses default weighting by quantity.

quantity
integer

The quantity of this component in the bundle.

position
integer | null

The position of this item within the bundle.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

bundle_product

Expandable – The associated bundle product ID.

component_product

Expandable – The associated component product ID.

current_version
boolean

Whether the returned version is the current one on the bundle item.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.